/// <reference path="../../adonis-typings/index.d.ts" />
/// <reference types="node" />
import { IncomingMessage } from 'http';
import { RedirectContract, ResponseContract } from '@ioc:Adonis/Core/Response';
import { RouterContract, MakeUrlOptions } from '@ioc:Adonis/Core/Route';
export declare class Redirect implements RedirectContract {
    private request;
    private response;
    private router;
    private forwardQueryString;
    private statusCode;
    private queryString;
    constructor(request: IncomingMessage, response: ResponseContract, router: RouterContract);
    /**
     * Set a custom status code.
     */
    status(statusCode: number): this;
    /**
     * Forward the current QueryString or define one.
     */
    withQs(): this;
    withQs(values: {
        [key: string]: any;
    }): this;
    withQs(name: string, value: any): this;
    /**
     * Redirect to the previous path.
     */
    back(): void;
    /**
     * Redirect the request using a route identifier.
     */
    toRoute(routeIdentifier: string, urlOptions?: MakeUrlOptions, domain?: string): void;
    /**
     * Redirect the request using a path.
     */
    toPath(url: string): void;
}
