/// <reference path="../../../adonis-typings/index.d.ts" />
import { MiddlewareStoreContract } from '@ioc:Adonis/Core/Middleware';
import { HttpContextContract } from '@ioc:Adonis/Core/HttpContext';
import { RouterContract } from '@ioc:Adonis/Core/Route';
/**
 * Handles the request by invoking it's middleware chain, along with the
 * route finalHandler
 */
export declare class RequestHandler {
    private middlewareStore;
    private router;
    private globalMiddleware;
    constructor(middlewareStore: MiddlewareStoreContract, router: RouterContract);
    /**
     * Executes the middleware chain, followed by the route handler.
     */
    private invokeHandler;
    /**
     * Finds the route for the request
     */
    private findRoute;
    /**
     * Handles the request and invokes required middleware/handlers
     */
    handle(ctx: HttpContextContract): Promise<void>;
    /**
     * Computing certain methods to optimize for runtime performance
     */
    commit(): void;
}
